
#ifndef __MATRIX_H
#define __MATRIX_H

#include <cstring.h>

typedef     int BOOL;

class   TMatrix
{
    int     num_digit;
    string  password;
    string  replay;
    char    wild[32];

public:
    TMatrix(int len, const char* password);
    BOOL makeReplay(const char* challenge);
    const char*   getString();

protected:
    int     lenOfPassword (const char *p);
    int     isWildString(const char *p);
    char    random_key (int false_opt = _IS_UPP | _IS_DIG);
    char    getCh ( char *string );
    char *  getPos ( int pos, const char * p, char *d );

};

inline    const char*   TMatrix::getString()
{
    return replay.c_str();
}

#endif